Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004481TestLinkUser Interface Customizationpublic2011-05-18 18:312011-07-02 13:49
Reporterfman 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.9.3 (2011 Q3 - bug fixing) 
Summary0004481: Allow custom configuration of CSS Styles when defining new statuses
DescriptionRight now there is a "hole" on custom status configuration, some visual effects (colors) are controlled via CSS, and there is no other way that editing testlink.css.
This means that this changed can be lost on application version upgrade.

new file custom.css is provided (with example commented), and will be included by default ( using inc_head.tpl) AFTER testlink.css
TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0014882)
Julian (reporter)
2011-05-19 10:28

Merged to Branch 1.9 from Master as requested:

http://gitorious.org/testlink-ga/testlink-code/commit/56b28b20a88c0287890fa583fe76f29bbc5dd58a [^]

changes made in addition to your commit from yesterday
- custom.css to custom.css.example (prevent overwrite of custom.css with a new release)
- added custom_strings.txt.example for each locale
- added full example and description for new test status on custom_config.inc.php.example
- updated comments on const.inc.php
(0014886)
Julian (reporter)
2011-05-20 07:43

To do:
Check if there is a problem if custom.css is not present. If it is a problem need to check if it can only be included if it exists.
(0014897)
Julian (reporter)
2011-05-21 08:23

Seems there are not problems if a missing css file is included
(0015447)
fman (administrator)
2011-07-02 13:49

1.9.3 released

- Issue History
Date Modified Username Field Change
2011-05-18 18:31 fman New Issue
2011-05-18 18:31 fman Status new => assigned
2011-05-18 18:31 fman Assigned To => fman
2011-05-19 10:28 Julian Note Added: 0014882
2011-05-20 07:43 Julian Note Added: 0014886
2011-05-21 08:22 Julian Status assigned => resolved
2011-05-21 08:22 Julian Fixed in Version => 1.9.3 (2011 Q3 - bug fixing)
2011-05-21 08:22 Julian Resolution open => fixed
2011-05-21 08:23 Julian Note Added: 0014897
2011-07-02 13:49 fman Note Added: 0015447
2011-07-02 13:49 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker